package com.example.zadaniekwiaciarnia;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.Button;
import android.widget.TextView;

import java.util.HashMap;
import java.util.Map;

public class WycenaLayout extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.wycena_layout);

        Button buttonStronaGlowna = findViewById(R.id.buttonStronaGlowna);
        TextView textViewKwiat = findViewById(R.id.textViewKwiat);
        TextView textViewIlosc = findViewById(R.id.textViewIlosc);
        TextView textViewDek = findViewById(R.id.textViewDek);
        TextView textViewFolia = findViewById(R.id.textViewFolia);
        TextView textViewCena = findViewById(R.id.textViewCena);

        String rodzaj = getIntent().getStringExtra("rodzaj");
        int ilosc = getIntent().getIntExtra("ilosc", 0);
        boolean dek = getIntent().getBooleanExtra("dek", false);
        boolean folia = getIntent().getBooleanExtra("folia", false);

        Map<String, Integer> cennik = new HashMap<>();

        cennik.put("Róża", 25);
        cennik.put("Tulipan", 20);

        int cena = cennik.get(rodzaj) * ilosc;

        if (dek) {
            cena += 5;
        }

        if (folia) {
            cena += 2;
        }


        textViewKwiat.setText("Wybrany kwiat: " + rodzaj);
        textViewIlosc.setText("Ilość: " + ilosc);

        if (dek) {
            textViewDek.setText("Wstążka: tak");
        } else {
            textViewDek.setText("Wstążka: nie");
        }

        if (folia) {
            textViewFolia.setText("Rodzaj opakowania: Folia");
        } else {
            textViewFolia.setText("Rodzaj opakowania: Papier");
        }

        textViewCena.setText("Cena : " + cena);

        buttonStronaGlowna.setOnClickListener( v -> {
            Intent intent = new Intent(WycenaLayout.this, MainActivity.class);
            startActivity(intent);

    });
    }
}
